<table>
    <tr>
        <td>{$i.holidayadmin_balance}</td>
        <td>{float_to_usnumber($vacation->balance)}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_days}</td>
        <td {if $vacation->is_absent}style="text-decoration: line-through;"{/if}>{float_to_usnumber($vacation->days)}</td>
    </tr>
    <tr>
        <td>{$i.basic_from}</td>
        <td>{$vacation->start_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.basic_to}</td>
        <td>{$vacation->end_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_purpose}</td>
        <td>{$vacation->comment}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_created_date}</td>
        <td>{$vacation->created_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_created_by}</td>
        <td>{$vacation->created_by_id_name}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_change_date}</td>
        <td>{$vacation->change_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_changed_by}</td>
        <td>{$vacation->changed_by_id_name}</td>
    </tr>

    <tr>
        <td>{$i.holidayadmin_status}</td>
        <td>
            {if $vacation->holiday_is_ok}
                <span style="background-color: #33EE33; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_holiday_ok}</span>
            {else if $vacation->status__approved}
                <span style="background-color: #6666FF; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_ok}</span>
            {else if $vacation->is_submitted}
                {$i.holidayadmin_applied}
            {else if $vacation->is_refused}
                <span style="background-color: #FF0000; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_refused}</span>
            {/if}
        </td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_absent_holiday}</td>
        <td>
            {vacation_type value=$vacation->type}
            {if $vacation->is_absent}
                {if $vacation->is_absent_social}
                    {$i.holidayadmin_absent_social_yes}
                {else}
                    {$i.holidayadmin_absent_social_no}
                {/if}
            {/if}
        </td>
    </tr>
    {if $vacation->increased}
        <tr>
            <td>{$i.holidayadmin_increased}</td>
            <td>{boolview value=$vacation->increased}</td>
        </tr>
    {/if}
    
    <tr>
        <td>{$i.holidayadmin_project}</td>
        <td>{$vacation->project}</td>
    </tr>
    <tr>
        <td>{$i.basic_staff}</td>
        <td>{$vacation->staff_id_name}</td>
    </tr>
</table>