<table>
    <tr>
        <td>{$i.opentasks_project}</td>
        <td>{$opentask->project}</td>
    </tr>
    <tr>
        <td>{$i.opentasks_purpose}</td>
        <td>{$opentask->purpose|truncate:120:"..."}</td>
    </tr>
    {if $opentask->description neq ''}
        <tr>
            <td>{$i.opentasks_description}</td>
            <td>{$opentask->description|truncate:120:"..."}</td>
        </tr>
    {/if}
    <tr>
        <td>{$i.opentasks_todo_name}</td>
        <td>{$opentask->todo_name}</td>
    </tr>
    <tr>
        <td>{$i.opentasks_todo_date}</td>
        <td>{$opentask->todo_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.opentasks_creator_name}</td>
        <td>{$opentask->creator_name}</td>
    </tr>
    <tr>
        <td>{$i.opentasks_creation_date}</td>
        <td>{$opentask->creation_date->us_date_time()}</td>
    </tr>
    <tr>
        <td>{$i.basic_change_date}</td>
        <td>{$opentask->change_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.basic_changed_by}</td>
        <td>{$opentask->changed_by_id_name}</td>
    </tr>
    {if $opentask->is_private}
        <tr>
            <td>{$i.opentasks_is_private}</td>
            <td>{boolview value=$opentask->is_private}</td>
        </tr>
    {/if}
    {if $opentask->need_mgmt_right}
        <tr>
            <td>{$i.opentasks_need_mgmt_right}</td>
            <td>{boolview value=$opentask->need_mgmt_right}</td>
        </tr>
    {/if}
    {if $opentask->is_urgent neq 0}
        <tr>
            <td>{$i.opentasks_is_urgent}</td>
            <td>{urgent value=$opentask->is_urgent}</td>
        </tr>
    {/if}
    {if $opentask->working_hours neq 0}
        <tr>
            <td>{$i.opentasks_working_hours}</td>
            <td>{isfloat value=$opentask->working_hours}</td>
        </tr>
    {/if}
    {if $opentask->work_package_name neq ''}
        <tr>
            <td>{$i.opentasks_work_package_name}</td>
            <td>{$opentask->work_package_name}</td>
        </tr>
    {/if}
    <tr>
        <td colspan="2"></td>
    </tr>
    <tr>
        <td>{$i.opentasks_is_done}</td>
        <td>{boolview value=$opentask->is_done}</td>
    </tr>
    {if $opentask->is_new}
        <tr>
            <td>{$i.opentasks_is_new}</td>
            <td>{isnew value=$opentask->is_new}</td>
        </tr>
    {/if}
    {if !empty($opentask->done_date) && !$opentask->done_date->is_null()}
        <tr>
            <td>{$i.opentasks_done_date}</td>
            <td>{$opentask->done_date->us_date()}</td>
        </tr>
    {/if}
    {if $opentask->done_staff_name neq ''}
        <tr>
            <td>{$i.opentasks_done_staff_name}</td>
            <td>{$opentask->done_staff_name}</td>
        </tr>
    {/if}
    {if $opentask->done_annotation neq ''}
        <tr>
            <td>{$i.opentasks_done_annotation}</td>
            <td>
                <div class="many">
                    {$opentask->done_annotation}
                </div>
            </td>
        </tr>
    {/if}
    {if !empty($opentask->notify_date) && !$opentask->notify_date->is_null()}
        <tr>
            <td>{$i.opentasks_notify}</td>
            <td>
                {if $opentask->is_notify}
                    {$opentask->notify_date->us_date_time()}
                {else}
                    {boolview value=FALSE}
                {/if}
            </td>
        </tr>
    {/if}
    {if !empty($opentask->active_from) && !$opentask->active_from->is_null()}
        <tr>
            <td>{$i.opentasks_active_from}</td>
            <td>
                {if !$opentask->active_from->is_null()}
                    {$opentask->active_from->us_date()}
                {else}
                    {boolview value=FALSE}
                {/if}
            </td>
        </tr>
    {/if}

    {if !empty($opentask->module_id)}
        <tr>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td>{$i.basic_to_module}</td>
            <td>
                {if intval($opentask->module_type) === Opentasks_model::MODTYPE_MAIL_INBOX}
                    {$view_opta='viewin'}
                    <a href="{site_url url="start/open/mailinboxandoutbox/index/$xjxcookie/{$view_opta}/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 inoutbox smallbtns ui-corner-all" title="{$i.basic_mailinboxandoutbox}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_MAIL_OUTBOX}
                    {$view_opta='viewout'}
                    <a href="{site_url url="start/open/mailinboxandoutbox/index/$xjxcookie/{$view_opta}/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 inoutbox smallbtns ui-corner-all" title="{$i.basic_mailinboxandoutbox}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_PROJECT}
                    <a href="{site_url url="start/open/projectadmin/index/$xjxcookie/view/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 project smallbtns ui-corner-all" title="{$i.basic_projectadmin}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_ADDRESS}
                    <a href="{site_url url="start/open/addressesandcontacts/index/$xjxcookie/view/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 addresses smallbtns ui-corner-all" title="{$i.basic_addressesandcontacts}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_ADDRESS_DESCR}
                    <a href="{site_url url="start/open/addressesandcontacts/index/$xjxcookie/view_description/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 addresses smallbtns ui-corner-all" title="{$i.basic_address_description_add}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_CORRESPONDENCE}
                    <a href="{site_url url="start/open/correspondence/index/$xjxcookie/view/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 correspondence smallbtns ui-corner-all" title="{$i.basic_correspondence}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_FEES}
                    <a href="{site_url url="start/open/feeadmin/index/$xjxcookie/view/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 fees smallbtns ui-corner-all" title="{$i.basic_feeadmin}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_EXTEXPENSES}
                    <a href="{site_url url="start/open/externalexpenses/index/$xjxcookie/view/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 externalexpenses smallbtns ui-corner-all" title="{$i.basic_externalexpenses}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_DRAWING}
                    <a href="{site_url url="start/open/drawingandproductdirectory/index/$xjxcookie/view/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 drawings smallbtns ui-corner-all" title="{$i.basic_drawingandproductdirectory}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_DELIVERY_NOTE}
                    <a href="{site_url url="start/open/drawingandproductdirectory/index/$xjxcookie/viewdn/{$opentask->module_id}/"}"
                    onclick="window.open(this.href); return false;"
                    class="dialog_make_btn16 drawings smallbtns ui-corner-all" title="{$i.basic_transmittal_forms}"></a>
                {elseif intval($opentask->module_type) === Opentasks_model::MODTYPE_MEETINGMGR}
                    {*Für Meetingmanager*}
                {/if}
            </td>
        </tr>
    {/if}
    {if $opentask->msg_file_path neq ''}
        <tr>
            <td>{$i.opentasks_msg_file}</td>
            <td>{filelink value=$opentask->msg_file_path type='msg'}</td>
        </tr>
    {/if}

    {foreach from=$opentask->addi_fields item=field}
        <tr>
            {if $field->type eq US_exmodel::T_BLOCK}
                <th colspan="2" style="text-align:center; {if isset($field->color)}background:{$field->color}{/if}">{$field->name}</th>
            {else}
                <td style="{if isset($field->color)}background:{$field->color}{/if}">{$field->name}</td>
                <td>
                    {assign var='field_id' value=$field->field}
                    {addiview field=$field value=$opentask->$field_id item=$opentask}
                </td>
            {/if}
        </tr>
    {/foreach}
</table>
