<table style="max-width:100%; margin: 10px 0px 0px 0px; display:none" id="offers_management_fee_allocations">
    <thead>
    <tr>
        <th>{$i.projectadmin_fee_area}</th>
        <th class="percentrow" style="width:80px">{$i.projectadmin_proportion_in_percent}</th>
        <th class="costsviewrow" style="width:120px">{$i.offers_management_costs_view}</th>
        {if $project_use_currency}{* $$$$$$$$$$$$$ *}
            <th style="width:50px">{$i.projectadmin_exchange_rate_s}</th>
            <th class="costsrow" style="width:150px">{$i.projectadmin_costs_otcurr}</th>
        {/if}
        <th class="costsrow" style="width:80px; background: rgba(255, 255, 200, 0.4);">{$i.offers_management_extras_in_percent}</th>
        <th class="costsrow" style="width:80px; background: rgba(255, 200, 200, 0.4);">{$i.offers_management_rebate_in_percent}</th>
        <th class="costsrow" style="width:150px">{$i.projectadmin_costs}</th>
    </tr>
    </thead>
    <tbody>
    {foreach item="allocation" from=$allocations}
        {if $offer_id != 'add'}
            {if !isset($allocation->work_package_id)}
                <tr>
                    <td colspan="5">
                        <span class="warningsmall ui-corner-all">
                            Ungültige Arbeitspaket ID. Bitte die Bereinigungen in Konfiguration - Datenbankwartung - Tabellen bereinigen ausführen. <br />
                            Invalid Work package ID. Please call the cleanups within Configuration - Database maintenance - Clean tables.
                        </span>
                    </td>
                </tr>
                {continue}
            {/if}
            {$work_package_id = $allocation->work_package_id}
        {else}
            {$work_package_id = $allocation->id}
        {/if}
        {assign var="percent_name" value="project_offers_percent_fee_`$work_package_id`"}
        {assign var="extras_name" value="project_offers_extras_`$work_package_id`"}
        {assign var="rebate_name" value="project_offers_rebate_`$work_package_id`"}
        {if !$project_use_currency}{* ------------- *}
            {assign var="costs_name" value="project_offers_costs_fee_`$work_package_id`"}
            {assign var="costs_name_view" value="project_offers_costs_fee_view_`$work_package_id`"}
        {else}{* $$$$$$$$$$$$$ *}
            {assign var="costs_name" value="project_offers_costs_feeinternal_`$work_package_id`"}
            {assign var="costs_name_view" value="project_offers_costs_feeinternal_view_`$work_package_id`"}
            {assign var="costs_otcurr_name" value="project_offers_costs_fee_view_`$work_package_id`"}
        {/if}
        <tr class="{if $allocation->subs_active<=0}inactive_state{/if} {if !$allocation->object_is_editable}sum_row{/if}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$work_package_id}>
            <td>
                {if $offer_id != 'add'}
                    {$allocation->full_name|replace:" ":"&nbsp;"}
                {else}
                    {$allocation->full_name|replace:" ":"&nbsp;"}
                {/if}
            </td>
            <td class="percentrow" style="text-align: center;">
                {include file='r/table_input.tpl' name={$percent_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-smaller" 
                    default="{if isset($allocation->costs_percent)}{islongfloat value=$allocation->costs_percent}{/if}" readonly=!$allocation->object_is_editable}
            </td>
            {if !$project_use_currency}{* ------------- *}
                <td class="costsviewrow costsin" title="costs_view {if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}">
                    {include file='r/table_input.tpl' name={$costs_name_view} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n calculator" 
                        default="{if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}" readonly=!$allocation->object_is_editable}
                </td>

            {else}{* $$$$$$$$$$$$$ *}
                <td class="costsviewrow" style="text-align: right;" title="costs_view {if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}">
                    {include file='r/view-only.tpl' name={$costs_name_view} default="{if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td  style="text-align: right;">
                    {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
                </td>
                <td class="costsrowex costsin" title="costs_otcurr {if isset($allocation->costs_otcurr)}{islongfloat value=$allocation->costs_otcurr}{/if}">
                    {include file='r/table_input.tpl' name={$costs_otcurr_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n calculator" 
                        default="{if isset($allocation->costs_otcurr)}{islongfloat value=$allocation->costs_otcurr}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {/if}
            
            <td class="extrasrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                {include file='r/table_input.tpl' name={$extras_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-smaller" 
                    default="{if isset($allocation->extras)}{islongfloat value=$allocation->extras}{/if}" readonly=!$allocation->object_is_editable}
            </td>
            <td class="rebaterow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                {include file='r/table_input.tpl' name={$rebate_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-smaller" 
                    default="{if isset($allocation->rebate)}{islongfloat value=$allocation->rebate}{/if}" readonly=!$allocation->object_is_editable}
            </td>
            <td class="costsrow" style="text-align: right;">
                {include file='r/view-only.tpl' name={$costs_name} default="{if isset($allocation->costs)}{islongfloat value=$allocation->costs}{/if}" readonly=!$allocation->object_is_editable}
            </td>
        </tr>
    {/foreach}
    {assign var="is_costs_sum" value=$allocations.0->is_costs_sum}
    {assign var="costs_sum" value=$allocations.0->costs_sum}
    {assign var="costs_sum_otcurr" value=$allocations.0->costs_sum_otcurr}

    <tr><td colspan="{if !$project_use_currency}6{else}8{/if}">&nbsp;</td></tr>
    
    {if $with_old_hoai}
        <tr>
            <td style="text-align:left;">
                HOAI {$i.calcexp_hoai_supplement}
            </td>
            <td style="text-align:right;">
                {if isset($hoai_portlet_data->sums) && isset($hoai_portlet_data->sums->supplement)}
                    {include file='r/view-only.tpl' name='project_offers_hoai_supplement' default={islongfloat value=$hoai_portlet_data->sums->supplement}}%
                {/if}
            </td>
            <td style="text-align:right;">
                {if isset($hoai_portlet_data->sums->supplement_val)}
                    {include file='r/view-only.tpl' name='project_offers_hoai_supplement_val' default={islongfloat value=$hoai_portlet_data->sums->supplement_val}
                        filter_extra="data-val=`$hoai_portlet_data->sums->supplement_val` data-extras=`$hoai_portlet_data->sums->extras` data-rebate=`$hoai_portlet_data->sums->rebate`"}
                {/if}
            </td>
            <td class="extrasrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->extras)}
                    {include file='r/table_input.tpl' name="project_offers_extras_supplement" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->extras} readonly=true}
                {/if}
            </td>
            <td class="rebaterow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->rebate)}
                    {include file='r/table_input.tpl' name="project_offers_rebate_supplement" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->rebate} readonly=true}
                {/if}
            </td>
            <td colspan="{if !$project_use_currency}1{else}3{/if}" rowspan="2">
                <small id="project_offers_hoai_sum" style="font-size: 0.7em;"
                    title="HOAI {$i.calcexp_hoai_supplement} +  {$i.calcexp_hoai_specserv} + ({$i.offers_management_extras} + {$i.offers_management_rebate})"></small>
            </td>
        </tr>
        <tr>
            <td style="text-align:left;">
                HOAI {$i.calcexp_hoai_specserv}
            </td>
            <td style="text-align:right;">
            </td>
            <td style="text-align:right;">
                {if isset($hoai_portlet_data->sums->specserv)}
                    {include file='r/view-only.tpl' name='project_offers_hoai_specserv' default={islongfloat value=$hoai_portlet_data->sums->specserv}
                        filter_extra="data-val=`$hoai_portlet_data->sums->specserv` data-extras=`$hoai_portlet_data->sums->extras` data-rebate=`$hoai_portlet_data->sums->rebate`"}
                {/if}
            </td>
            <td class="extrasrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->extras)}
                    {include file='r/table_input.tpl' name="project_offers_extras_specserv" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->extras} readonly=true}
                {/if}
            </td>
            <td class="rebaterow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->rebate)}
                    {include file='r/table_input.tpl' name="project_offers_rebate_specserv" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->rebate} readonly=true}
                {/if}
            </td>
        </tr>
        <tr><td colspan="{if !$project_use_currency}6{else}8{/if}">&nbsp;</td></tr>
    {/if}
    <tr>
        <td {if $with_old_hoai}style="visibility: hidden;"{/if}>
            {$i.projectadmin_introduce_total}
            <input type="checkbox" name="project_offers_is_costs_sum" value="TRUE" id="project_offers_is_costs_sum" {if $is_costs_sum && !$with_old_hoai}checked="checked"{/if} class="checkbox">
        </td>
        <td style="text-align: center;">
            <input type="text" name="project_offers_percent_sum" value="" id="project_offers_percent_sum" readonly="readonly" class="numberi18n t-smaller"/>
        </td>
        {if !$project_use_currency}{* ------------- *}
            <td>
                {include file='r/table_input.tpl' name="project_offers_costs_sum" class="numberi18n calculator" default="{if $costs_sum}{islongfloat value=$costs_sum}{/if}"}
            </td>
        {else}{* $$$$$$$$$$$$$ *}
            <td style="text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_costs_internal_sum' default={islongfloat value=0}}
            </td>
            <td style="text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td>
                {include file='r/table_input.tpl' name="project_offers_costs_sum" class="numberi18n calculator" default="{if $costs_sum_otcurr}{islongfloat value=$costs_sum_otcurr}{/if}"}
            </td>
        {/if}
        <td colspan="2"></td>
        <td style="text-align: right;">
            {include file='r/view-only.tpl' name='project_offers_costs_sum_total' default={islongfloat value=0}}
        </td>
    </tr>
    </tbody>
</table>
