<?php
/**
 * CodeIgniter library
 *
 * PHP version 5
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package libraries
 * @version $Id$
*/

if (!defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Gain access to XOR
 */
class My_Encrypt extends CI_Encrypt
{

    /**
     * XOR Encode
     *
     * @param   string  $string String
     * @param   string  $key    Key
     * @return  string
     */
    public function us_xor_encode($string, $key)
    {
        return base64_encode($this->_xor_encode($string, $key));
    }

    /**
     * XOR Decode
     *
     * @param   string  $string String
     * @param   string  $key    Key
     * @return  string
     */
    public function us_xor_decode($string, $key)
    {
        return $this->_xor_decode(base64_decode($string), $key);
    }


} // END class My_Encrypt