<form id="personalapp_upload_form" onsubmit="return false;" action="">
    {include file="r/hidden.tpl" name="personalapp_upload_file_name" default=$file_name}
    <table>
        <thead>
            <tr>
                <th scope="col">{$i.personalapp_from_date}</th>
                <th scope="col">{$i.personalapp_to_date}</th>
                <th scope="col">{$i.personalapp_comment}</th>
                <th scope="col">{$i.personalapp_location}</th>
                <th scope="col">{$i.personalapp_project}</th>
            </tr>
        </thead>
        <tbody>

        {foreach from=$events item=event}
            <tr>
                <td>{$event.DTSTART->us_date_time()}</td>
                <td>{$event.DTEND->us_date_time()}</td>
                <td><span style="max-height:100px; min-width: 200px; max-width: 30vw; overflow:auto; display:block;">{$event.SUMMARY|nl2br|truncate:500:"..."}</span></td>
                <td><span style="max-height:100px; min-width: 150px; max-width: 20vw; overflow:auto; display:block;">{$event.LOCATION}</span></td>
                <td>
                    {include file='r/table_select.tpl' name="personalapp_upload_project_`$event.us_id`" class="is_project required"
                        list=$projects_list id="id" text="project"
                        add_icons_file="project" filter_favourite_list=$projects_favourite_list}
                </td>
            </tr>
        {foreachelse}
            <tr>
                <td colspan="5">
                    <span class="warningsmall ui-corner-all">{$i.personalapp_nothing}</span>
                </td>
            </tr>
        {/foreach}

        </tbody>
    </table>
</form>