{include file='r_basic/paginate.tpl'
    paginate=$tasks_paginate
    tabname="{$butlerId}_paginate_tasks"}

<table id="{$butlerId}_tasks_table" class="dashed">
    <colgroup>
        <col style="width: 5%">
        <col class="edtp-btn noprint"> {* ~5% *}
        <col style="width: 10%">
        <col style="width: 45%">
        <col style="width: 15%">
        <col style="width: 15%">
        <col style="width: 5%">
    </colgroup>
    <thead>
        <tr class="editablepop">
            <th></th>
            <th title="{$i.meetingmanager_add_description}" class="smallbtns"><a class="dialog_make_btn24 add ui-corner-all" onclick="meetingmanager.add.addTask('{$butlerId}', 'add', 0, {$appointment_id});"></a></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'tasks', 'number', this);" class="order_by {if $order_by}{if $order_by eq 'number'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_number}</span></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'tasks', 'name', this);" class="order_by {if $order_by}{if $order_by eq 'name'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_name}</span></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'tasks', 'due_date', this);" class="order_by {if $order_by}{if $order_by eq 'due_date'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_due_date}</span></th>
            <th>{$i.meetingmanager_status}</th>
            <th title="{$i.meetingmanager_view_description}">...</th>
        </tr>
    </thead>
    {if empty($tasks)}
        <tr>
            <td></td>
            <td colspan="5" title="{$i.meetingmanager_task_empty_description}">{$i.meetingmanager_task_empty}</td>
        </tr>
    {else}
        {foreach item="task" from=$tasks}
            <tr class="smallbtns editablepop" ondblclick="meetingmanager.add.addTask('{$butlerId}', 'edit', {$task->id}, {$appointment_id});">
                <td style="vertical-align: middle;">
                    <span title="{$i.meetingmanager_show_correspondences}"
                          class="dialog_make_btn16 show_only smallbtns ui-corner-all"
                          onclick="meetingmanager.accordion.showCorrespondences('{$butlerId}', {$task->id});"></span>
                </td>
                <td title="{$i.meetingmanager_edit_description}"
                    style="vertical-align: middle; text-align: center">
                    <span class="dialog_make_btn24 dot3ps smallbtns" onclick="meetingmanager.edit.open_popup('{$butlerId}', 'task', {$task->id});"></span>
                    <div id="{$butlerId}_edit_task_{$task->id}_container" class="ui-corner-all ui-widget-header dot3-container">
                        <div class="dot3-caret"><div class="dot3-caret-outer"></div><div class="dot3-caret-inner"></div></div>
                        <span onclick="meetingmanager.add.addTask('{$butlerId}', 'edit', {$task->id}, {$appointment_id});" class="dialog_make_btn16 edit mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_edit_description} ({$task->id})">{$i.meetingmanager_edit_description}</span>
                        <span onclick="meetingmanager.add.addTask('{$butlerId}', 'copy', {$task->id}, {$appointment_id});" class="dialog_make_btn16 copy mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_copy_description} ({$task->id})">{$i.meetingmanager_copy_description}</span>
                        {if $task->is_transfered eq '1'}
                            <a href="{site_url url="start/open/opentasks/index/`$xjxcookie`/add_for_meetingmanager/`$task->id`"}" title="{$i.meetingmanager_task_transfer_is_transfered} (Neues Fenster)" onclick="window.open(this.href); return false;" class="dialog_make_btn16 opentasks ui-corner-all">{$i.meetingmanager_task_transfer_is_transfered}</a>
                        {else}
                            <a href="{site_url url="start/open/opentasks/index/`$xjxcookie`/add_for_meetingmanager/`$task->id`"}" title="{$i.meetingmanager_task_transfer} (Neues Fenster)" onclick="window.open(this.href); return false;" class="dialog_make_btn16 opentasks ui-corner-all">{$i.meetingmanager_task_transfer}</a>
                        {/if}
                        <span onclick="meetingmanager.delete.deleteTask('{$butlerId}', {$task->id}, {$appointment_id});" class="dialog_make_btn16 delete mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_delete_description} ({$task->id})">{$i.meetingmanager_delete_description}</span>
                    </div>
                </td>
                <td title="{$i.meetingmanager_task_number_description}"
                    style="vertical-align: middle; text-align: center; max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$task->number}</td>
                <td title="{$i.meetingmanager_task_name_description}"
                    style="vertical-align: middle; max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$task->name}</td>
                <td title="{$i.meetingmanager_task_due_date_description}"
                    style="vertical-align: middle; text-align: center;">{$task->due_date->us_date()}</td>
                <td title="{$i.meetingmanager_status_view_description}"
                    onclick="meetingmanager.show.task_status('{$butlerId}', {$task->id});"
                    style="vertical-align: middle; text-align: center;">
                    <span class="dialog_make_btn16 search" title="{$i.meetingmanager_status_view_description}"></span>
                    <div>
                    {if $task->status eq '0'}
                        {$i.meetingmanager_status_still_open}
                    {elseif $task->status eq '1'}
                        {$i.meetingmanager_status_done}
                    {elseif $task->status eq '2'}
                        {$i.meetingmanager_status_approved}
                    {elseif $task->status eq '3'}
                        {$i.meetingmanager_status_not_possible}
                    {elseif $task->status eq '4'}
                        {$i.meetingmanager_status_not_needed}
                    {/if}
                    </div>
                </td>
                <td title="{$i.meetingmanager_view_description}"
                    style="vertical-align: middle; text-align: center;">
                    <span title="{$i.meetingmanager_view_description}"
                          onclick="meetingmanager.show.task('{$butlerId}', {$task->id});"
                          class="dialog_make_btn16 search mobile_big smallbtns ui-corner-all"></span>
                </td>
            </tr>
        {/foreach}
    {/if}
</table>

{include file='r_basic/paginate.tpl'
    paginate=$tasks_paginate
    hide_select_perpage=TRUE
    tabname="{$butlerId}_paginate_tasks"}
    
<div id='{$butlerId}_task_appointment_id' style="display:none">{$appointment_id}</div>