{if $us_rights_mode>=2}
<fieldset class="noborder">
    <h4>Software as a Service</h4>
    Nutzen Sie bitte den SaaS Butler um Ihre Daten zu sicheren.
</fieldset>
{/if}
<fieldset class="noborder" {if $us_rights_mode>=2}style="display:none;"{/if}>
    <!-- legend class="ui-corner-all">{$i.projectadmin_directories}</legend -->
    <div class="warning warningborder ui-corner-all">
        <ul>
            <li>{$i.projectadmin_directories_note1}</li>
            <li>{$i.projectadmin_directories_note3}</li>
            <li>{$i.projectadmin_directories_note4}</li>
            <li>{$i.projectadmin_directories_note5}</li>
            <li>{$i.projectadmin_directories_note6}</li>
        </ul>
    </div>
    
    <div style="margin-bottom:4px;">
    {include file='r/select.tpl' name="projectadmin_structure" title="projectadmin_path"
        list=$structure.structures id="id" text="name" group_by="group" group_by_list=$structure.groups
        filter_extra='onchange="projectadmin._on_change_structure();"'}
    </div>
    
    <div id="directory_section">
        {include file='r/checkbox.tpl' name="projectadmin_create_dir" title="projectadmin_create_dir" labelclass="label2"
            add_icons_file='warning_small' past_span_text=$i.projectadmin_directories_note6}
        
        {include file='r/input.tpl' name="projectadmin_path_main" title="projectadmin_path_main" class='t-long' maxlength=254}
        <br />
            
        {include file='r/input.tpl' name="projectadmin_path_correspondence" title="projectadmin_path_correspondence" class='t-long' maxlength=254}
        {include file='r/hidden.tpl' name="projectadmin_default_correspondence" default=$default_correspondence}
        {include file='r/checkbox.tpl' name="projectadmin_sync_correspondence" title="projectadmin_sync" hide=true}
        <br />

        {include file='r/input.tpl' name="projectadmin_path_inbox" title="projectadmin_path_inbox" class='t-long' maxlength=254}
        {include file='r/hidden.tpl' name="projectadmin_default_inbox" default=$default_inbox}
        {include file='r/checkbox.tpl' name="projectadmin_sync_inbox" title="projectadmin_sync" hide=true}
        <!-- br / -->

        {include file='r/input.tpl' name="projectadmin_path_outbox" title="projectadmin_path_outbox" class='t-long' maxlength=254}
        {include file='r/hidden.tpl' name="projectadmin_default_outbox" default=$default_outbox}
        {include file='r/checkbox.tpl' name="projectadmin_sync_outbox" title="projectadmin_sync" hide=true}
        <br />

        {include file='r/input.tpl' name="projectadmin_path_drawings" title="projectadmin_path_drawings" class='t-long' maxlength=254}
        {include file='r/hidden.tpl' name="projectadmin_default_drawings" default=$default_drawings}        
        <!-- br / -->

        <p style="margin-top:4px;">
            <a class="dialog_make_text_btn ui-corner-all"
                href="https://webservices.untermstrich.com/h3/{$language_short}:drawings:drawings:update_folder_listing" onclick="window.open(this.href); return false;">
                <span class="dialog_make_btn16 help"></span>
                {$i.basic_help_autopath}
            </a>
        </p>
    </div>
    <div id="tree_section">
        <span class="ui-dialog-load ui-corner-all"></span>
    </div>    
</fieldset>
